---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/Business Title Changes
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

Collection of Business Title Changes for a Worker:

```
/workers/{id}/businessTitleChanges
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to a worker. Example: Worker WID. In place of an ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N10063_N10016_N10001"></a>Description

Workers/Business Title Changes resource represents business title changes for a specific worker. You can only view the worker and business title changes information permitted by the security profile of the current user.

Workers/Business Title Changes resource supports these methods:

-   [GET Workers/Business Title Changes](/wcp_docs/dan1370797991668.html#GET)
-   [POST Workers/Business Title Changes](/wcp_docs/dan1370797991668.html#POST)


## <a id="GET"></a>GET Workers/Business Title Changes

-   <b>Secured by Security Domain:</b>

    Staffing Actions: Business Title



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Maximum</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N10111_N10016_N10001"></a>GET Workers/Business Title Changes Examples

This GET request retrieves all the business title changes for Betty Liu (id=3bcc416214054db6911612ef25d51e9f), available to the current user:

```
GET /workers/3bcc416214054db6911612ef25d51e9f/businessTitleChanges
```

The response is a collection of business title changes, in JSON format (there is only 1 business title change in the collection)

```
{
  "total": 1,
  "data": [   {
     "descriptor": "Title Change: Betty Liu",
     "id": "a445947495a84539987368b6841e71ae",
     "href": "https://{Workday REST API Endpoint}/businessProcesses/a445947495a84539987368b6841e71ae",
     "proposedBusinessTitle": "Sr. Director, Global Payroll Operations",
     "currentBusinessTitle": "Director, Payroll Operations"
  }]
}
```

## <a id="POST"></a>POST Workers/Business Title Changes

-   <b>Secured by Business Process Security Policy:</b>

    Change Business Title

    Change My Business Title (used instead of Change Business Title only if you use me as the ID)



Use this method to create a new business title change for the specified worker. You must supply a JSON format body with your request.

In the request body, supply a value for this parameter:

<table><thead><tr><th>Body Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>proposedBusinessTitle</td><td>string</td><td>New proposed business title.</td></tr></tbody></table><br/>

The response body has the current and the proposed business title.

The business title change business process has restrictions and requirements. You might receive an error message when you attempt to complete a business title change:

<table><thead><tr><th>HTTP Response Code</th><th>Error Message</th><th>Description/Solution</th></tr></thead><tbody><tr><td>400</td><td>Proposed Business Title is required.</td><td>Supply a value for proposedBusinessTitle.</td></tr><tr><td>400</td><td>Worker is terminated and does not have a future hire.</td><td> </td></tr><tr><td>400</td><td>Worker submitted is the processing user.</td><td>You cannot propose your own business title changes.</td></tr><tr><td>400</td><td>Worker has additional jobs. This task is not supported for workers with multiple jobs.</td><td> </td></tr><tr><td>400</td><td>There are other staffing or business title business processes that affect this business title that are effective after this date.</td><td> </td></tr><tr><td>400</td><td>The last filled date for the position is after the current date.</td><td> </td></tr><tr><td>400</td><td>The position vacated by this worker.</td><td> </td></tr></tbody></table><br/>

## <a id="section_N10241_N10016_N10001"></a>POST Workers/Business Title Changes Examples

This POST request proposes a new business title for Betty Liu (id=3bcc416214054db6911612ef25d51e9f).

```
POST /workers/3bcc416214054db6911612ef25d51e9f/businessTitleChanges
```

using this request body:

```
{
  "proposedBusinessTitle":"Sr. Director, Payroll Operations"
}
```

The response body in JSON format:

```
{
  "descriptor": "Title Change: Betty Liu",
  "id": "b1f2b39dac1a4f5ba591f04bd53e3e3a",
  "href": "https://{Workday REST API Endpoint}/businessTitleChanges/b1f2b39dac1a4f5ba591f04bd53e3e3a"
}
     
```

